# Originally imported from mageia

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		baobab
Version:	40.0
Release:	%mkrel 1
Summary:	Disk Usage Analyzer (aka Baobab)
License:	GPLv2+
Group:		File tools
Url:		https://wiki.gnome.org/GnomeUtils/Baobab
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#----------------------------------------
BuildRequires: itstool
BuildRequires: intltool
BuildRequires: lib64girepository-devel
BuildRequires: lib64gtop2.0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: gnome-doc-utils
BuildRequires: vala
#----------------------------------------

%description
Disk Usage Analyzer is is a graphical, menu-driven application to analyze
disk usage in any Gnome environment. Disk Usage Analyzer can easily scan
either the whole file-system tree, or a specific user-requested directory
branch (local or remote).

It also auto-detects in real-time any changes made to your home directory
as far as any mounted/unmounted device. Disk Usage Analyzer also provides
a full graphical tree-map window for each selected folder.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install


desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-FileTools;" \
  --remove-not-show-in=KDE \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.baobab.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.%{name}.service
%{_datadir}/icons/*/*/apps/org.gnome.baobab*.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/help

%changelog
* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
- new version

* Sun Jan 07 2018 tex - 3.26.1-3pclos2018
- rebuild remove not show in kde

* Tue Jan 02 2018 bb2 <bb2> - 3.26.1-2pclos2018
- clean up BR

* Wed Dec 27 2017 Zen Subz <techars21 at gmail dot com> - 3.26.1-1pclos2017
- Build for PCLinuxOS
